#include "src/game/envfx_snow.h"

const GeoLayout Yuri_Left_Hand_Open[] = {
	GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 61, 0, -15, 0, -1, 0),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, Yuri_Left_Hand_Open_Switch_Option_Left_Hand_Open_mesh_layer_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_Right_Hand_Open[] = {
	GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 60, 0, 15, 0, 0, 0),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, Yuri_Right_Hand_Open_Switch_Option_Right_Hand_Open_mesh_layer_1),
		GEO_OPEN_NODE(),
			GEO_HELD_OBJECT(0, 0, 0, 0, geo_switch_mario_hand_grab_pos),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_Right_Hand_Peace[] = {
	GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 60, 0, 15, 0, 0, 0),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, Yuri_Right_Hand_Peace_Switch_Option_Right_Hand_Peace_mesh_layer_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_Right_Hand_Cap[] = {
	GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 60, 0, 15, 0, 0, 0),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, Yuri_Right_Hand_Cap_Switch_Option_Right_Hand_Cap_mesh_layer_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_Right_Hand_Wing_Cap[] = {
	GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 60, 0, 15, 0, 0, 0),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, Yuri_Right_Hand_Wing_Cap_Swtich_Option_Right_Hand_Wing_Cap_mesh_layer_1),
		GEO_OPEN_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_Metal_Mario_Switch_Metal_Left_Hand_Open[] = {
	GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 62, -5, 21, 0, 0, 0),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, Yuri_Metal_Mario_Switch_Left_Hand_Open_Switch_Option_Left_Hand_Open_mesh_layer_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_Metal_Mario_Switch_Metal_Right_Hand_Open[] = {
	GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 59, -4, -23, 0, 0, 0),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, Yuri_Metal_Mario_Switch_Right_Hand_Open_Switch_Option_Right_Hand_Open_mesh_layer_1),
		GEO_OPEN_NODE(),
			GEO_HELD_OBJECT(0, 0, 0, 0, geo_switch_mario_hand_grab_pos),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_Metal_Mario_Switch_Metal_Right_Hand_Peace[] = {
	GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 59, -4, -23, 0, 0, 0),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, Yuri_Metal_Mario_Switch_Right_Hand_Peace_Switch_Option_Right_Hand_Peace_mesh_layer_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_Metal_Mario_Switch_Metal_Right_Hand_Cap[] = {
	GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 59, -4, -23, 0, 0, 0),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, Yuri_Metal_Mario_Switch_Right_Hand_Cap_Switch_Option_Right_Hand_Cap_mesh_layer_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_Metal_Mario_Switch_Metal_Right_Hand_Wing_Cap[] = {
	GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 59, -4, -23, 0, 0, 0),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, Yuri_Metal_Mario_Switch_Right_Hand_Wing_Cap_Swtich_Option_Right_Hand_Wing_Cap_mesh_layer_1),
		GEO_OPEN_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt1_jump_Yuri_Metal_Mario_Switch_Metal_Left_Hand_Open[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 62, -5, 21, 0, 0, 0),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, Yuri_Metal_Mario_Switch_Left_Hand_Open_Switch_Option_Left_Hand_Open_mesh_layer_1),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt1_jump_Yuri_Metal_Mario_Switch_Metal_Right_Hand_Open[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 59, -4, -23, 0, 0, 0),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, Yuri_Metal_Mario_Switch_Right_Hand_Open_Switch_Option_Right_Hand_Open_mesh_layer_1),
			GEO_OPEN_NODE(),
				GEO_HELD_OBJECT(0, 0, 0, 0, geo_switch_mario_hand_grab_pos),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt1_jump_Yuri_Metal_Mario_Switch_Metal_Right_Hand_Peace[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 59, -4, -23, 0, 0, 0),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, Yuri_Metal_Mario_Switch_Right_Hand_Peace_Switch_Option_Right_Hand_Peace_mesh_layer_1),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt1_jump_Yuri_Metal_Mario_Switch_Metal_Right_Hand_Cap[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 59, -4, -23, 0, 0, 0),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, Yuri_Metal_Mario_Switch_Right_Hand_Cap_Switch_Option_Right_Hand_Cap_mesh_layer_1),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt1_jump_Yuri_Metal_Mario_Switch_Metal_Right_Hand_Wing_Cap[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 59, -4, -23, 0, 0, 0),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, Yuri_Metal_Mario_Switch_Right_Hand_Wing_Cap_Swtich_Option_Right_Hand_Wing_Cap_mesh_layer_1),
			GEO_OPEN_NODE(),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt1[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Metal_Mario_Switch_Head_DL_mesh_layer_1_mat_override_FaceHalfClosed_0),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt2[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Metal_Mario_Switch_Head_DL_mesh_layer_1_mat_override_FaceClosedEyes_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt3[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Metal_Mario_Switch_Head_DL_mesh_layer_1_mat_override_FaceLeft_2),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt4[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Metal_Mario_Switch_Head_DL_mesh_layer_1_mat_override_FaceRight_3),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt5[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Metal_Mario_Switch_Head_DL_mesh_layer_1_mat_override_FaceUp_4),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt6[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Metal_Mario_Switch_Head_DL_mesh_layer_1_mat_override_FaceDown_5),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt7[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Metal_Mario_Switch_Head_DL_mesh_layer_1_mat_override_FaceDead_6),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt1[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 0, 0, 0, 1, 0, 0),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
			GEO_OPEN_NODE(),
				GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 0, 0, 1, -1, 0, 0),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, Yuri_Metal_Mario_Switch_Butt_mesh_layer_1),
					GEO_OPEN_NODE(),
						GEO_ASM(0, geo_move_mario_part_from_parent),
						GEO_ASM(0, geo_mario_tilt_torso),
						GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_TRANSPARENT, 24, 3, 0, Yuri_Metal_Mario_Switch_Torso_mesh_layer_1),
							GEO_OPEN_NODE(),
								GEO_ANIMATED_PART(LAYER_OPAQUE, 71, 9, 0, NULL),
								GEO_OPEN_NODE(),
									GEO_ASM(0, geo_mario_head_rotation),
									GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
									GEO_OPEN_NODE(),
										GEO_SWITCH_CASE(0, geo_switch_mario_cap_on_off),
										GEO_OPEN_NODE(),
											GEO_NODE_START(),
											GEO_OPEN_NODE(),
												GEO_SWITCH_CASE(0, geo_switch_mario_eyes),
												GEO_OPEN_NODE(),
													GEO_NODE_START(),
													GEO_OPEN_NODE(),
														GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Metal_Mario_Switch_Head_DL_mesh_layer_1),
													GEO_CLOSE_NODE(),
													GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt1),
													GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt2),
													GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt3),
													GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt4),
													GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt5),
													GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt6),
													GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt7),
												GEO_CLOSE_NODE(),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
										GEO_TRANSLATE_ROTATE(LAYER_FORCE, 169, 1, 61, -15, 33, -133),
										GEO_OPEN_NODE(),
											GEO_ASM(1, geo_mario_rotate_wing_cap_wings),
											GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
											GEO_OPEN_NODE(),
												GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Metal_Mario_Switch_Left_Wing_DL_mesh_layer_4),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
										GEO_TRANSLATE_ROTATE(LAYER_FORCE, 169, 1, -61, 15, -33, -133),
										GEO_OPEN_NODE(),
											GEO_ASM(0, geo_mario_rotate_wing_cap_wings),
											GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
											GEO_OPEN_NODE(),
												GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Metal_Mario_Switch_Right_Wing_DL_mesh_layer_4),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
								GEO_ANIMATED_PART(LAYER_OPAQUE, 47, 10, 42, NULL),
								GEO_OPEN_NODE(),
									GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 0, 0, 0, -1, -1, 1),
									GEO_OPEN_NODE(),
										GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, Yuri_Metal_Mario_Switch_Left_Arm_Color_mesh_layer_1),
										GEO_OPEN_NODE(),
											GEO_ANIMATED_PART(LAYER_TRANSPARENT, 35, -3, 0, Yuri_Metal_Mario_Switch_Left_Forearm_mesh_layer_1),
											GEO_OPEN_NODE(),
												GEO_SWITCH_CASE(1, geo_switch_mario_hand),
												GEO_OPEN_NODE(),
													GEO_NODE_START(),
													GEO_OPEN_NODE(),
														GEO_ANIMATED_PART(LAYER_OPAQUE, 46, 2, -2, NULL),
														GEO_OPEN_NODE(),
															GEO_ASM(1, geo_mario_hand_foot_scaler),
															GEO_SCALE(LAYER_FORCE, 65536),
															GEO_OPEN_NODE(),
																GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Metal_Mario_Switch_Left_Hand_DL_mesh_layer_1),
															GEO_CLOSE_NODE(),
														GEO_CLOSE_NODE(),
													GEO_CLOSE_NODE(),
													GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt1_jump_Yuri_Metal_Mario_Switch_Metal_Left_Hand_Open),
												GEO_CLOSE_NODE(),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
								GEO_ANIMATED_PART(LAYER_OPAQUE, 47, 10, -41, NULL),
								GEO_OPEN_NODE(),
									GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, Yuri_Metal_Mario_Switch_Right_Arm_Color_mesh_layer_1),
									GEO_OPEN_NODE(),
										GEO_ANIMATED_PART(LAYER_TRANSPARENT, 37, -3, 0, Yuri_Metal_Mario_Switch_Right_Forearm_mesh_layer_1),
										GEO_OPEN_NODE(),
											GEO_SWITCH_CASE(0, geo_switch_mario_hand),
											GEO_OPEN_NODE(),
												GEO_NODE_START(),
												GEO_OPEN_NODE(),
													GEO_ANIMATED_PART(LAYER_OPAQUE, 43, 2, 2, NULL),
													GEO_OPEN_NODE(),
														GEO_ASM(0, geo_mario_hand_foot_scaler),
														GEO_SCALE(LAYER_FORCE, 65536),
														GEO_OPEN_NODE(),
															GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Metal_Mario_Switch_Right_Hand_DL_mesh_layer_1),
														GEO_CLOSE_NODE(),
														GEO_HELD_OBJECT(0, 63, -6, -25, geo_switch_mario_hand_grab_pos),
													GEO_CLOSE_NODE(),
												GEO_CLOSE_NODE(),
												GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt1_jump_Yuri_Metal_Mario_Switch_Metal_Right_Hand_Open),
												GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt1_jump_Yuri_Metal_Mario_Switch_Metal_Right_Hand_Peace),
												GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt1_jump_Yuri_Metal_Mario_Switch_Metal_Right_Hand_Cap),
												GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt1_jump_Yuri_Metal_Mario_Switch_Metal_Right_Hand_Wing_Cap),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
						GEO_ANIMATED_PART(LAYER_OPAQUE, -20, 10, 21, NULL),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, Yuri_Metal_Mario_Switch_Left_Thigh_Color_mesh_layer_1),
							GEO_OPEN_NODE(),
								GEO_ANIMATED_PART(LAYER_TRANSPARENT, 68, -1, 0, Yuri_Metal_Mario_Switch_Left_Leg_mesh_layer_1),
								GEO_OPEN_NODE(),
									GEO_ANIMATED_PART(LAYER_TRANSPARENT, 56, 0, 0, Yuri_Metal_Mario_Switch_Left_Shoe_mesh_layer_1),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
						GEO_ANIMATED_PART(LAYER_OPAQUE, -20, 10, -21, NULL),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, Yuri_Metal_Mario_Switch_Right_Thigh_Color_mesh_layer_1),
							GEO_OPEN_NODE(),
								GEO_ANIMATED_PART(LAYER_TRANSPARENT, 68, -1, 0, Yuri_Metal_Mario_Switch_Right_Leg_mesh_layer_1),
								GEO_OPEN_NODE(),
									GEO_ANIMATED_PART(LAYER_OPAQUE, 55, 0, 0, NULL),
									GEO_OPEN_NODE(),
										GEO_ASM(2, geo_mario_hand_foot_scaler),
										GEO_SCALE(LAYER_FORCE, 65536),
										GEO_OPEN_NODE(),
											GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Metal_Mario_Switch_Right_Shoe_DL_mesh_layer_1),
										GEO_CLOSE_NODE(),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt1[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, Yuri_Metal_Mario_Switch_Head_DL_mesh_layer_1_mat_override_FaceHalfClosed_0),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt2[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, Yuri_Metal_Mario_Switch_Head_DL_mesh_layer_1_mat_override_FaceClosedEyes_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt3[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, Yuri_Metal_Mario_Switch_Head_DL_mesh_layer_1_mat_override_FaceLeft_2),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt4[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, Yuri_Metal_Mario_Switch_Head_DL_mesh_layer_1_mat_override_FaceRight_3),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt5[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, Yuri_Metal_Mario_Switch_Head_DL_mesh_layer_1_mat_override_FaceUp_4),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt6[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, Yuri_Metal_Mario_Switch_Head_DL_mesh_layer_1_mat_override_FaceDown_5),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt7[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, Yuri_Metal_Mario_Switch_Head_DL_mesh_layer_1_mat_override_FaceDead_6),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_Metal_Yuri[] = {
	GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 0, -19, 0, 0, 0, 0),
	GEO_OPEN_NODE(),
		GEO_SHADOW(1, 180, 100),
		GEO_OPEN_NODE(),
			GEO_SCALE(LAYER_FORCE, 65536),
			GEO_OPEN_NODE(),
				GEO_ASM(0, geo_mirror_mario_backface_culling),
				GEO_ASM(0, geo_mirror_mario_set_alpha),
				GEO_SWITCH_CASE(0, geo_switch_mario_stand_run),
				GEO_OPEN_NODE(),
					GEO_NODE_START(),
					GEO_OPEN_NODE(),
						GEO_SWITCH_CASE(0, geo_switch_mario_cap_effect),
						GEO_OPEN_NODE(),
							GEO_NODE_START(),
							GEO_OPEN_NODE(),
								GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 0, 0, 0, 1, 0, 0),
								GEO_OPEN_NODE(),
									GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
									GEO_OPEN_NODE(),
										GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 0, 0, 1, -1, 0, 0),
										GEO_OPEN_NODE(),
											GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, Yuri_Metal_Mario_Switch_Butt_mesh_layer_1),
											GEO_OPEN_NODE(),
												GEO_ASM(0, geo_move_mario_part_from_parent),
												GEO_ASM(0, geo_mario_tilt_torso),
												GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
												GEO_OPEN_NODE(),
													GEO_ANIMATED_PART(LAYER_OPAQUE, 24, 3, 0, Yuri_Metal_Mario_Switch_Torso_mesh_layer_1),
													GEO_OPEN_NODE(),
														GEO_ANIMATED_PART(LAYER_OPAQUE, 71, 9, 0, NULL),
														GEO_OPEN_NODE(),
															GEO_ASM(0, geo_mario_head_rotation),
															GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
															GEO_OPEN_NODE(),
																GEO_SWITCH_CASE(0, geo_switch_mario_cap_on_off),
																GEO_OPEN_NODE(),
																	GEO_NODE_START(),
																	GEO_OPEN_NODE(),
																		GEO_SWITCH_CASE(0, geo_switch_mario_eyes),
																		GEO_OPEN_NODE(),
																			GEO_NODE_START(),
																			GEO_OPEN_NODE(),
																				GEO_DISPLAY_LIST(LAYER_OPAQUE, Yuri_Metal_Mario_Switch_Head_DL_mesh_layer_1),
																			GEO_CLOSE_NODE(),
																			GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt1),
																			GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt2),
																			GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt3),
																			GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt4),
																			GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt5),
																			GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt6),
																			GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt7),
																		GEO_CLOSE_NODE(),
																	GEO_CLOSE_NODE(),
																GEO_CLOSE_NODE(),
																GEO_TRANSLATE_ROTATE(LAYER_FORCE, 169, 1, 61, -15, 33, -133),
																GEO_OPEN_NODE(),
																	GEO_ASM(1, geo_mario_rotate_wing_cap_wings),
																	GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
																	GEO_OPEN_NODE(),
																		GEO_DISPLAY_LIST(LAYER_ALPHA, Yuri_Metal_Mario_Switch_Left_Wing_DL_mesh_layer_4),
																	GEO_CLOSE_NODE(),
																GEO_CLOSE_NODE(),
																GEO_TRANSLATE_ROTATE(LAYER_FORCE, 169, 1, -61, 15, -33, -133),
																GEO_OPEN_NODE(),
																	GEO_ASM(0, geo_mario_rotate_wing_cap_wings),
																	GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
																	GEO_OPEN_NODE(),
																		GEO_DISPLAY_LIST(LAYER_ALPHA, Yuri_Metal_Mario_Switch_Right_Wing_DL_mesh_layer_4),
																	GEO_CLOSE_NODE(),
																GEO_CLOSE_NODE(),
															GEO_CLOSE_NODE(),
														GEO_CLOSE_NODE(),
														GEO_ANIMATED_PART(LAYER_OPAQUE, 47, 10, 42, NULL),
														GEO_OPEN_NODE(),
															GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 0, 0, 0, -1, -1, 1),
															GEO_OPEN_NODE(),
																GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, Yuri_Metal_Mario_Switch_Left_Arm_Color_mesh_layer_1),
																GEO_OPEN_NODE(),
																	GEO_ANIMATED_PART(LAYER_OPAQUE, 35, -3, 0, Yuri_Metal_Mario_Switch_Left_Forearm_mesh_layer_1),
																	GEO_OPEN_NODE(),
																		GEO_SWITCH_CASE(1, geo_switch_mario_hand),
																		GEO_OPEN_NODE(),
																			GEO_NODE_START(),
																			GEO_OPEN_NODE(),
																				GEO_ANIMATED_PART(LAYER_OPAQUE, 46, 2, -2, NULL),
																				GEO_OPEN_NODE(),
																					GEO_ASM(1, geo_mario_hand_foot_scaler),
																					GEO_SCALE(LAYER_FORCE, 65536),
																					GEO_OPEN_NODE(),
																						GEO_DISPLAY_LIST(LAYER_OPAQUE, Yuri_Metal_Mario_Switch_Left_Hand_DL_mesh_layer_1),
																					GEO_CLOSE_NODE(),
																				GEO_CLOSE_NODE(),
																			GEO_CLOSE_NODE(),
																			GEO_BRANCH(1, Yuri_Metal_Mario_Switch_Metal_Left_Hand_Open),
																		GEO_CLOSE_NODE(),
																	GEO_CLOSE_NODE(),
																GEO_CLOSE_NODE(),
															GEO_CLOSE_NODE(),
														GEO_CLOSE_NODE(),
														GEO_ANIMATED_PART(LAYER_OPAQUE, 47, 10, -41, NULL),
														GEO_OPEN_NODE(),
															GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, Yuri_Metal_Mario_Switch_Right_Arm_Color_mesh_layer_1),
															GEO_OPEN_NODE(),
																GEO_ANIMATED_PART(LAYER_OPAQUE, 37, -3, 0, Yuri_Metal_Mario_Switch_Right_Forearm_mesh_layer_1),
																GEO_OPEN_NODE(),
																	GEO_SWITCH_CASE(0, geo_switch_mario_hand),
																	GEO_OPEN_NODE(),
																		GEO_NODE_START(),
																		GEO_OPEN_NODE(),
																			GEO_ANIMATED_PART(LAYER_OPAQUE, 43, 2, 2, NULL),
																			GEO_OPEN_NODE(),
																				GEO_ASM(0, geo_mario_hand_foot_scaler),
																				GEO_SCALE(LAYER_FORCE, 65536),
																				GEO_OPEN_NODE(),
																					GEO_DISPLAY_LIST(LAYER_OPAQUE, Yuri_Metal_Mario_Switch_Right_Hand_DL_mesh_layer_1),
																				GEO_CLOSE_NODE(),
																				GEO_HELD_OBJECT(0, 63, -6, -25, geo_switch_mario_hand_grab_pos),
																			GEO_CLOSE_NODE(),
																		GEO_CLOSE_NODE(),
																		GEO_BRANCH(1, Yuri_Metal_Mario_Switch_Metal_Right_Hand_Open),
																		GEO_BRANCH(1, Yuri_Metal_Mario_Switch_Metal_Right_Hand_Peace),
																		GEO_BRANCH(1, Yuri_Metal_Mario_Switch_Metal_Right_Hand_Cap),
																		GEO_BRANCH(1, Yuri_Metal_Mario_Switch_Metal_Right_Hand_Wing_Cap),
																	GEO_CLOSE_NODE(),
																GEO_CLOSE_NODE(),
															GEO_CLOSE_NODE(),
														GEO_CLOSE_NODE(),
													GEO_CLOSE_NODE(),
												GEO_CLOSE_NODE(),
												GEO_ANIMATED_PART(LAYER_OPAQUE, -20, 10, 21, NULL),
												GEO_OPEN_NODE(),
													GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, Yuri_Metal_Mario_Switch_Left_Thigh_Color_mesh_layer_1),
													GEO_OPEN_NODE(),
														GEO_ANIMATED_PART(LAYER_OPAQUE, 68, -1, 0, Yuri_Metal_Mario_Switch_Left_Leg_mesh_layer_1),
														GEO_OPEN_NODE(),
															GEO_ANIMATED_PART(LAYER_OPAQUE, 56, 0, 0, Yuri_Metal_Mario_Switch_Left_Shoe_mesh_layer_1),
														GEO_CLOSE_NODE(),
													GEO_CLOSE_NODE(),
												GEO_CLOSE_NODE(),
												GEO_ANIMATED_PART(LAYER_OPAQUE, -20, 10, -21, NULL),
												GEO_OPEN_NODE(),
													GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, Yuri_Metal_Mario_Switch_Right_Thigh_Color_mesh_layer_1),
													GEO_OPEN_NODE(),
														GEO_ANIMATED_PART(LAYER_OPAQUE, 68, -1, 0, Yuri_Metal_Mario_Switch_Right_Leg_mesh_layer_1),
														GEO_OPEN_NODE(),
															GEO_ANIMATED_PART(LAYER_OPAQUE, 55, 0, 0, NULL),
															GEO_OPEN_NODE(),
																GEO_ASM(2, geo_mario_hand_foot_scaler),
																GEO_SCALE(LAYER_FORCE, 65536),
																GEO_OPEN_NODE(),
																	GEO_DISPLAY_LIST(LAYER_OPAQUE, Yuri_Metal_Mario_Switch_Right_Shoe_DL_mesh_layer_1),
																GEO_CLOSE_NODE(),
															GEO_CLOSE_NODE(),
														GEO_CLOSE_NODE(),
													GEO_CLOSE_NODE(),
												GEO_CLOSE_NODE(),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
							GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt2_2_LoD_Switch_opt0_Cap_State_Switch_opt1),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
				GEO_ASM(1, geo_mirror_mario_backface_culling),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt1_jump_Yuri_Left_Hand_Open[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 61, 0, -15, 0, -1, 0),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, Yuri_Left_Hand_Open_Switch_Option_Left_Hand_Open_mesh_layer_1),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt1_jump_Yuri_Right_Hand_Open[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 60, 0, 15, 0, 0, 0),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, Yuri_Right_Hand_Open_Switch_Option_Right_Hand_Open_mesh_layer_1),
			GEO_OPEN_NODE(),
				GEO_HELD_OBJECT(0, 0, 0, 0, geo_switch_mario_hand_grab_pos),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt1_jump_Yuri_Right_Hand_Peace[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 60, 0, 15, 0, 0, 0),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, Yuri_Right_Hand_Peace_Switch_Option_Right_Hand_Peace_mesh_layer_1),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt1_jump_Yuri_Right_Hand_Cap[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 60, 0, 15, 0, 0, 0),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, Yuri_Right_Hand_Cap_Switch_Option_Right_Hand_Cap_mesh_layer_1),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt1_jump_Yuri_Right_Hand_Wing_Cap[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 60, 0, 15, 0, 0, 0),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, Yuri_Right_Hand_Wing_Cap_Swtich_Option_Right_Hand_Wing_Cap_mesh_layer_1),
			GEO_OPEN_NODE(),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt1[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Head_DL_mesh_layer_1_mat_override_FaceHalfClosed_0),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Head_DL_mesh_layer_4_mat_override_FaceHalfClosed_0),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt2[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Head_DL_mesh_layer_1_mat_override_FaceClosedEyes_1),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Head_DL_mesh_layer_4_mat_override_FaceClosedEyes_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt3[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Head_DL_mesh_layer_1_mat_override_FaceLeft_2),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Head_DL_mesh_layer_4_mat_override_FaceLeft_2),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt4[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Head_DL_mesh_layer_1_mat_override_FaceRight_3),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Head_DL_mesh_layer_4_mat_override_FaceRight_3),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt5[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Head_DL_mesh_layer_1_mat_override_FaceUp_4),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Head_DL_mesh_layer_4_mat_override_FaceUp_4),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt6[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Head_DL_mesh_layer_1_mat_override_FaceDown_5),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Head_DL_mesh_layer_4_mat_override_FaceDown_5),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt7[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Head_DL_mesh_layer_1_mat_override_FaceDead_6),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Head_DL_mesh_layer_4_mat_override_FaceDead_6),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt1[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 0, -3, 0, NULL),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, -3, 0, Yuri_Butt_mesh_layer_4),
			GEO_OPEN_NODE(),
				GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Butt_mesh_layer_1),
				GEO_ASM(0, geo_move_mario_part_from_parent),
				GEO_ASM(0, geo_mario_tilt_torso),
				GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_TRANSPARENT, 24, 4, 0, Yuri_Torso_mesh_layer_1),
					GEO_OPEN_NODE(),
						GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Torso_mesh_layer_4),
						GEO_ANIMATED_PART(LAYER_OPAQUE, 68, 8, 0, NULL),
						GEO_OPEN_NODE(),
							GEO_ASM(0, geo_mario_head_rotation),
							GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
							GEO_OPEN_NODE(),
								GEO_SWITCH_CASE(0, geo_switch_mario_cap_on_off),
								GEO_OPEN_NODE(),
									GEO_NODE_START(),
									GEO_OPEN_NODE(),
										GEO_SWITCH_CASE(0, geo_switch_mario_eyes),
										GEO_OPEN_NODE(),
											GEO_NODE_START(),
											GEO_OPEN_NODE(),
												GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Head_DL_mesh_layer_1),
												GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Head_DL_mesh_layer_4),
											GEO_CLOSE_NODE(),
											GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt1),
											GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt2),
											GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt3),
											GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt4),
											GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt5),
											GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt6),
											GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt1_Capless_Switch_opt0_Eye_State_Switch_opt7),
										GEO_CLOSE_NODE(),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
								GEO_TRANSLATE_ROTATE(LAYER_FORCE, 116, 0, 51, -15, 33, -133),
								GEO_OPEN_NODE(),
									GEO_ASM(1, geo_mario_rotate_wing_cap_wings),
									GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
									GEO_OPEN_NODE(),
										GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Left_Wing_DL_mesh_layer_4),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
								GEO_TRANSLATE_ROTATE(LAYER_FORCE, 116, 0, -51, 15, -33, -133),
								GEO_OPEN_NODE(),
									GEO_ASM(0, geo_mario_rotate_wing_cap_wings),
									GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
									GEO_OPEN_NODE(),
										GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Right_Wing_DL_mesh_layer_4),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
						GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 43, 9, 39, 0, -15, 0),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
							GEO_OPEN_NODE(),
								GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 0, 0, 0, 0, -1, 0),
								GEO_OPEN_NODE(),
									GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, Yuri_Left_Arm_Color_mesh_layer_1),
									GEO_OPEN_NODE(),
										GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 35, 0, 0, 0, 1, 0),
										GEO_OPEN_NODE(),
											GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, Yuri_Left_Forearm_mesh_layer_4),
											GEO_OPEN_NODE(),
												GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Left_Forearm_mesh_layer_1),
												GEO_SWITCH_CASE(1, geo_switch_mario_hand),
												GEO_OPEN_NODE(),
													GEO_NODE_START(),
													GEO_OPEN_NODE(),
														GEO_ANIMATED_PART(LAYER_OPAQUE, 35, 0, 1, NULL),
														GEO_OPEN_NODE(),
															GEO_ASM(1, geo_mario_hand_foot_scaler),
															GEO_SCALE(LAYER_FORCE, 65536),
															GEO_OPEN_NODE(),
																GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Left_Hand_DL_mesh_layer_1),
															GEO_CLOSE_NODE(),
														GEO_CLOSE_NODE(),
													GEO_CLOSE_NODE(),
													GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt1_jump_Yuri_Left_Hand_Open),
												GEO_CLOSE_NODE(),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
						GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 43, 9, -39, 0, 15, 0),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
							GEO_OPEN_NODE(),
								GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, Yuri_Right_Arm_Color_mesh_layer_1),
								GEO_OPEN_NODE(),
									GEO_ANIMATED_PART(LAYER_TRANSPARENT, 37, 0, 0, Yuri_Right_Forearm_mesh_layer_4),
									GEO_OPEN_NODE(),
										GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Right_Forearm_mesh_layer_1),
										GEO_SWITCH_CASE(0, geo_switch_mario_hand),
										GEO_OPEN_NODE(),
											GEO_NODE_START(),
											GEO_OPEN_NODE(),
												GEO_ANIMATED_PART(LAYER_OPAQUE, 33, 0, -1, NULL),
												GEO_OPEN_NODE(),
													GEO_ASM(0, geo_mario_hand_foot_scaler),
													GEO_SCALE(LAYER_FORCE, 65536),
													GEO_OPEN_NODE(),
														GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Right_Hand_DL_mesh_layer_1),
													GEO_CLOSE_NODE(),
													GEO_HELD_OBJECT(0, 27, 0, 16, geo_switch_mario_hand_grab_pos),
												GEO_CLOSE_NODE(),
											GEO_CLOSE_NODE(),
											GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt1_jump_Yuri_Right_Hand_Open),
											GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt1_jump_Yuri_Right_Hand_Peace),
											GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt1_jump_Yuri_Right_Hand_Cap),
											GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt1_jump_Yuri_Right_Hand_Wing_Cap),
										GEO_CLOSE_NODE(),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
				GEO_ANIMATED_PART(LAYER_OPAQUE, -20, 11, 21, NULL),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, Yuri_Left_Thigh_Color_mesh_layer_1),
					GEO_OPEN_NODE(),
						GEO_ANIMATED_PART(LAYER_TRANSPARENT, 68, 0, 0, Yuri_Left_Leg_mesh_layer_1),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_TRANSPARENT, 55, 0, 0, Yuri_Left_Shoe_mesh_layer_1),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
				GEO_ANIMATED_PART(LAYER_OPAQUE, -20, 14, -21, NULL),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, -3, 0, Yuri_Right_Thigh_Color_mesh_layer_1),
					GEO_OPEN_NODE(),
						GEO_ANIMATED_PART(LAYER_TRANSPARENT, 68, 0, 0, Yuri_Right_Leg_mesh_layer_1),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_OPAQUE, 55, 0, 0, NULL),
							GEO_OPEN_NODE(),
								GEO_ASM(2, geo_mario_hand_foot_scaler),
								GEO_SCALE(LAYER_FORCE, 65536),
								GEO_OPEN_NODE(),
									GEO_DISPLAY_LIST(LAYER_TRANSPARENT, Yuri_Right_Shoe_DL_mesh_layer_1),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt1[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, Yuri_Head_DL_mesh_layer_1_mat_override_FaceHalfClosed_0),
		GEO_DISPLAY_LIST(LAYER_ALPHA, Yuri_Head_DL_mesh_layer_4_mat_override_FaceHalfClosed_0),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt2[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, Yuri_Head_DL_mesh_layer_1_mat_override_FaceClosedEyes_1),
		GEO_DISPLAY_LIST(LAYER_ALPHA, Yuri_Head_DL_mesh_layer_4_mat_override_FaceClosedEyes_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt3[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, Yuri_Head_DL_mesh_layer_1_mat_override_FaceLeft_2),
		GEO_DISPLAY_LIST(LAYER_ALPHA, Yuri_Head_DL_mesh_layer_4_mat_override_FaceLeft_2),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt4[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, Yuri_Head_DL_mesh_layer_1_mat_override_FaceRight_3),
		GEO_DISPLAY_LIST(LAYER_ALPHA, Yuri_Head_DL_mesh_layer_4_mat_override_FaceRight_3),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt5[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, Yuri_Head_DL_mesh_layer_1_mat_override_FaceUp_4),
		GEO_DISPLAY_LIST(LAYER_ALPHA, Yuri_Head_DL_mesh_layer_4_mat_override_FaceUp_4),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt6[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, Yuri_Head_DL_mesh_layer_1_mat_override_FaceDown_5),
		GEO_DISPLAY_LIST(LAYER_ALPHA, Yuri_Head_DL_mesh_layer_4_mat_override_FaceDown_5),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt7[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, Yuri_Head_DL_mesh_layer_1_mat_override_FaceDead_6),
		GEO_DISPLAY_LIST(LAYER_ALPHA, Yuri_Head_DL_mesh_layer_4_mat_override_FaceDead_6),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout Yuri_geo[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_SHADOW(1, 180, 100),
		GEO_OPEN_NODE(),
			GEO_SCALE(LAYER_FORCE, 28180),
			GEO_OPEN_NODE(),
				GEO_ASM(0, geo_mirror_mario_backface_culling),
				GEO_ASM(0, geo_mirror_mario_set_alpha),
				GEO_SWITCH_CASE(0, geo_switch_mario_stand_run),
				GEO_OPEN_NODE(),
					GEO_NODE_START(),
					GEO_OPEN_NODE(),
						GEO_SWITCH_CASE(0, geo_switch_mario_cap_effect),
						GEO_OPEN_NODE(),
							GEO_NODE_START(),
							GEO_OPEN_NODE(),
								GEO_ANIMATED_PART(LAYER_OPAQUE, 0, -3, 0, NULL),
								GEO_OPEN_NODE(),
									GEO_ANIMATED_PART(LAYER_ALPHA, 0, -3, 0, Yuri_Butt_mesh_layer_4),
									GEO_OPEN_NODE(),
										GEO_DISPLAY_LIST(LAYER_OPAQUE, Yuri_Butt_mesh_layer_1),
										GEO_ASM(0, geo_move_mario_part_from_parent),
										GEO_ASM(0, geo_mario_tilt_torso),
										GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
										GEO_OPEN_NODE(),
											GEO_ANIMATED_PART(LAYER_OPAQUE, 24, 4, 0, Yuri_Torso_mesh_layer_1),
											GEO_OPEN_NODE(),
												GEO_DISPLAY_LIST(LAYER_ALPHA, Yuri_Torso_mesh_layer_4),
												GEO_ANIMATED_PART(LAYER_OPAQUE, 68, 8, 0, NULL),
												GEO_OPEN_NODE(),
													GEO_ASM(0, geo_mario_head_rotation),
													GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
													GEO_OPEN_NODE(),
														GEO_SWITCH_CASE(0, geo_switch_mario_cap_on_off),
														GEO_OPEN_NODE(),
															GEO_NODE_START(),
															GEO_OPEN_NODE(),
																GEO_SWITCH_CASE(0, geo_switch_mario_eyes),
																GEO_OPEN_NODE(),
																	GEO_NODE_START(),
																	GEO_OPEN_NODE(),
																		GEO_DISPLAY_LIST(LAYER_OPAQUE, Yuri_Head_DL_mesh_layer_1),
																		GEO_DISPLAY_LIST(LAYER_ALPHA, Yuri_Head_DL_mesh_layer_4),
																	GEO_CLOSE_NODE(),
																	GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt1),
																	GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt2),
																	GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt3),
																	GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt4),
																	GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt5),
																	GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt6),
																	GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt0_Capless_Switch_opt0_Eye_State_Switch_opt7),
																GEO_CLOSE_NODE(),
															GEO_CLOSE_NODE(),
														GEO_CLOSE_NODE(),
														GEO_TRANSLATE_ROTATE(LAYER_FORCE, 116, 0, 51, -15, 33, -133),
														GEO_OPEN_NODE(),
															GEO_ASM(1, geo_mario_rotate_wing_cap_wings),
															GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
															GEO_OPEN_NODE(),
																GEO_DISPLAY_LIST(LAYER_ALPHA, Yuri_Left_Wing_DL_mesh_layer_4),
															GEO_CLOSE_NODE(),
														GEO_CLOSE_NODE(),
														GEO_TRANSLATE_ROTATE(LAYER_FORCE, 116, 0, -51, 15, -33, -133),
														GEO_OPEN_NODE(),
															GEO_ASM(0, geo_mario_rotate_wing_cap_wings),
															GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
															GEO_OPEN_NODE(),
																GEO_DISPLAY_LIST(LAYER_ALPHA, Yuri_Right_Wing_DL_mesh_layer_4),
															GEO_CLOSE_NODE(),
														GEO_CLOSE_NODE(),
													GEO_CLOSE_NODE(),
												GEO_CLOSE_NODE(),
												GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 43, 9, 39, 0, -15, 0),
												GEO_OPEN_NODE(),
													GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
													GEO_OPEN_NODE(),
														GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 0, 0, 0, 0, -1, 0),
														GEO_OPEN_NODE(),
															GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, Yuri_Left_Arm_Color_mesh_layer_1),
															GEO_OPEN_NODE(),
																GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 35, 0, 0, 0, 1, 0),
																GEO_OPEN_NODE(),
																	GEO_ANIMATED_PART(LAYER_ALPHA, 0, 0, 0, Yuri_Left_Forearm_mesh_layer_4),
																	GEO_OPEN_NODE(),
																		GEO_DISPLAY_LIST(LAYER_OPAQUE, Yuri_Left_Forearm_mesh_layer_1),
																		GEO_SWITCH_CASE(1, geo_switch_mario_hand),
																		GEO_OPEN_NODE(),
																			GEO_NODE_START(),
																			GEO_OPEN_NODE(),
																				GEO_ANIMATED_PART(LAYER_OPAQUE, 35, 0, 1, NULL),
																				GEO_OPEN_NODE(),
																					GEO_ASM(1, geo_mario_hand_foot_scaler),
																					GEO_SCALE(LAYER_FORCE, 65536),
																					GEO_OPEN_NODE(),
																						GEO_DISPLAY_LIST(LAYER_OPAQUE, Yuri_Left_Hand_DL_mesh_layer_1),
																					GEO_CLOSE_NODE(),
																				GEO_CLOSE_NODE(),
																			GEO_CLOSE_NODE(),
																			GEO_BRANCH(1, Yuri_Left_Hand_Open),
																		GEO_CLOSE_NODE(),
																	GEO_CLOSE_NODE(),
																GEO_CLOSE_NODE(),
															GEO_CLOSE_NODE(),
														GEO_CLOSE_NODE(),
													GEO_CLOSE_NODE(),
												GEO_CLOSE_NODE(),
												GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 43, 9, -39, 0, 15, 0),
												GEO_OPEN_NODE(),
													GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
													GEO_OPEN_NODE(),
														GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, Yuri_Right_Arm_Color_mesh_layer_1),
														GEO_OPEN_NODE(),
															GEO_ANIMATED_PART(LAYER_ALPHA, 37, 0, 0, Yuri_Right_Forearm_mesh_layer_4),
															GEO_OPEN_NODE(),
																GEO_DISPLAY_LIST(LAYER_OPAQUE, Yuri_Right_Forearm_mesh_layer_1),
																GEO_SWITCH_CASE(0, geo_switch_mario_hand),
																GEO_OPEN_NODE(),
																	GEO_NODE_START(),
																	GEO_OPEN_NODE(),
																		GEO_ANIMATED_PART(LAYER_OPAQUE, 33, 0, -1, NULL),
																		GEO_OPEN_NODE(),
																			GEO_ASM(0, geo_mario_hand_foot_scaler),
																			GEO_SCALE(LAYER_FORCE, 65536),
																			GEO_OPEN_NODE(),
																				GEO_DISPLAY_LIST(LAYER_OPAQUE, Yuri_Right_Hand_DL_mesh_layer_1),
																			GEO_CLOSE_NODE(),
																			GEO_HELD_OBJECT(0, 27, 0, 16, geo_switch_mario_hand_grab_pos),
																		GEO_CLOSE_NODE(),
																	GEO_CLOSE_NODE(),
																	GEO_BRANCH(1, Yuri_Right_Hand_Open),
																	GEO_BRANCH(1, Yuri_Right_Hand_Peace),
																	GEO_BRANCH(1, Yuri_Right_Hand_Cap),
																	GEO_BRANCH(1, Yuri_Right_Hand_Wing_Cap),
																GEO_CLOSE_NODE(),
															GEO_CLOSE_NODE(),
														GEO_CLOSE_NODE(),
													GEO_CLOSE_NODE(),
												GEO_CLOSE_NODE(),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
										GEO_ANIMATED_PART(LAYER_OPAQUE, -20, 11, 21, NULL),
										GEO_OPEN_NODE(),
											GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, Yuri_Left_Thigh_Color_mesh_layer_1),
											GEO_OPEN_NODE(),
												GEO_ANIMATED_PART(LAYER_OPAQUE, 68, 0, 0, Yuri_Left_Leg_mesh_layer_1),
												GEO_OPEN_NODE(),
													GEO_ANIMATED_PART(LAYER_OPAQUE, 55, 0, 0, Yuri_Left_Shoe_mesh_layer_1),
												GEO_CLOSE_NODE(),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
										GEO_ANIMATED_PART(LAYER_OPAQUE, -20, 14, -21, NULL),
										GEO_OPEN_NODE(),
											GEO_ANIMATED_PART(LAYER_OPAQUE, 0, -3, 0, Yuri_Right_Thigh_Color_mesh_layer_1),
											GEO_OPEN_NODE(),
												GEO_ANIMATED_PART(LAYER_OPAQUE, 68, 0, 0, Yuri_Right_Leg_mesh_layer_1),
												GEO_OPEN_NODE(),
													GEO_ANIMATED_PART(LAYER_OPAQUE, 55, 0, 0, NULL),
													GEO_OPEN_NODE(),
														GEO_ASM(2, geo_mario_hand_foot_scaler),
														GEO_SCALE(LAYER_FORCE, 65536),
														GEO_OPEN_NODE(),
															GEO_DISPLAY_LIST(LAYER_OPAQUE, Yuri_Right_Shoe_DL_mesh_layer_1),
														GEO_CLOSE_NODE(),
													GEO_CLOSE_NODE(),
												GEO_CLOSE_NODE(),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
							GEO_BRANCH(1, Yuri_2_LoD_Switch_opt0_Cap_State_Switch_opt1),
							GEO_BRANCH(1, Yuri_Metal_Yuri),
							GEO_BRANCH(1, Yuri_Metal_Yuri),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
				GEO_ASM(1, geo_mirror_mario_backface_culling),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_END(),
};
